SYSTEMATIC-MUTATIONS(1)

NAME
systematic-mutations - print all single-nucleotide substitutions

SYNOPSIS
systematic-mutations

DESCRIPTION
systematic-mutations reads single-line DNA sequences from standard input and writes them to standard output accompanied by the results of all possible single-base substitutions thereto. If an input line contains any whitespace, the remainder of the line is taken to be a label, which then appears at the end of all corresponding output lines, albeit delimited by a colon (:) there.

SEE ALSO
disambiguate-nucleotides(1), transmute(1).